Pixhawk 6X / 5X / 6C support by Simulink

37 views (last 30 days)
Quick question about support for newer Pixhawk hardware:
The documentation states that support is available up to Pixhawk 4. Does this mean that newer hardware (e.g. Pixhawk 6X) is not supported? Or is this just an issue of whether the hardware has been tested? According to the documentation (https://de.mathworks.com/help/supportpkg/px4/ug/supported-flight-controllers.html) there is at least the possibility to use unlisted hardware. Has anyone made any experience here?
Thank you very much for a short feedback.
  6 Comments
종원 이
종원 이 on 29 May 2023
Hello, I have same error, but I cannot figure out in which file I should edit.
Can you tell me exactly which cmake file I have to revise?
I am using cube orange, so I navigate below path
Firmware/build/cubepilot_cubeorange_default
But Cannot figure out which cmake file exactly I should fix.
Thank you for reply in advance!
Ankur Bose
Ankur Bose on 7 Jul 2023
It seems like you are using Cube Orange. If you are using R2023a version of MATLAB, we have support for Cube Orange and you dont need to do any workaround like above.

Sign in to comment.

Accepted Answer

Ankur Bose
Ankur Bose on 4 May 2023
Pixhawk 6x can be used with AV Toolbox Support Package for PX4 Autopilots in R2022b and R2023a. Follow the steps mentioned here.
  5 Comments
Ankur Bose
Ankur Bose on 7 Jul 2023
We are working on Pixhawk 6c support and we would let you know when that is available
Dhruvilkumar Chavada
Dhruvilkumar Chavada on 14 Oct 2023
Hi, any update on Pixhwak 6C support?

Sign in to comment.

More Answers (3)

Arun Mathamkode
Arun Mathamkode on 23 Feb 2023
Edited: Arun Mathamkode on 28 Feb 2023
Flash overflow issues are seen with Pixhawk 6x during deployment, to resolve this you can consider manually removing unused modules from the cmake file. For example, if you are working with a multi-copter, you can consider removing fixed-wing controllers and related modules and vice-versa.

Arun Mathamkode
Arun Mathamkode on 23 Sep 2022
Edited: Arun Mathamkode on 23 Sep 2022
Even though some of the Pixhawk standard boards are not among the officially supported boards from PX4 support package, There are options provided to use those boards with PX4Support package. To use these boards, select "My board is not listed here" in hardware setup screen (instead of selecting one of the supported boards) and use the Target Hardware as PX4 Pixhawk Series in Simulink. Note that, the complete functionality is not tested with any boards which are not listed, but mostly it should work. Highly recommend using R2022b when you are using these option. For example, refer this documentation on how to use Cube orange board with PX4 Support package.

Ankur Bose
Ankur Bose on 7 Jul 2023
Pixhawk 6x is now a supported targe in R2023a version of MATLAB in the latest release of UAV Toolbox support ackage for PX4 Autopilots

Products


Release

R2022b

Community Treasure Hunt

Find the treasures in MATLAB Central and discover how the community can help you!

Start Hunting!